Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerging Gnome
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
crazyboy3104
n00b
n00b


Joined: 23 Sep 2006
Posts: 31

PostPosted: Sat Sep 23, 2006 10:12 pm    Post subject: Emerging Gnome Reply with quote

ok 2 questions one really easy the other i dont know how difficult

the easy one first:
how do u edit grub.conf in gentoo after u booted i messed up in my bootloader but i really dont wanna reboot into the live cd and go through all that.

second:

when i emerge gnome xscreensaver i get an error:
Code:

>> Emerging (1 of 175) x11-libs/gtk+-2.8.19 to /
*gtk+-2.8.19.tar.bz2 MD5 ;-)...

and so on but when i gets to
Code:

cheking gtk+-2.8.19tar.bz2 ;-)...

i get
Code:

!!!ERROR: x11-libs/gtk+-2.8.19 failed.
Call stack:
   ebuild.sh, line 1562:  Called dyn_setup
   ebuild.sh, line 665:   Called pkg_setup
   gtk+-2.8.19.ebuild,  line 57:   Called die

!!! cairo needs the X flag set


and i was wondering how do you do that.
Back to top
View user's profile Send private message
rsa4046
l33t
l33t


Joined: 07 Feb 2005
Posts: 640
Location: The Big H, a bit SSW

PostPosted: Sat Sep 23, 2006 10:23 pm    Post subject: Re: Emerging Gnome Reply with quote

crazyboy3104 wrote:
ok 2 questions one really easy the other i dont know how difficult
the easy one first:
how do u edit grub.conf in gentoo after u booted i messed up in my bootloader but i really dont wanna reboot into the live cd and go through all that.
Assuming /boot is an ext2 partition /dev/hda1,
Code:
# mount /dev/hda1 /bootl
# nano /boot/grub/grub.conf
Quote:

second:
when i emerge gnome xscreensaver i get an error:
Code:

>> Emerging (1 of 175) x11-libs/gtk+-2.8.19 to /
*gtk+-2.8.19.tar.bz2 MD5 ;-)...

and so on but when i gets to
Code:

cheking gtk+-2.8.19tar.bz2 ;-)...

i get
Code:

!!!ERROR: x11-libs/gtk+-2.8.19 failed.
Call stack:
   ebuild.sh, line 1562:  Called dyn_setup
   ebuild.sh, line 665:   Called pkg_setup
   gtk+-2.8.19.ebuild,  line 57:   Called die

!!! cairo needs the X flag set


and i was wondering how do you do that.
Try
Code:
# emerge -vn gentoolkit
# euse -E X
Back to top
View user's profile Send private message
crazyboy3104
n00b
n00b


Joined: 23 Sep 2006
Posts: 31

PostPosted: Sat Sep 23, 2006 10:28 pm    Post subject: Reply with quote

Nope same error on the emerging gnome xscreensaver
Back to top
View user's profile Send private message
rsa4046
l33t
l33t


Joined: 07 Feb 2005
Posts: 640
Location: The Big H, a bit SSW

PostPosted: Sat Sep 23, 2006 10:57 pm    Post subject: Reply with quote

Did you re-emerge x11-libs/cairo after setting the use flag? Try
Code:
# emerge -va -1 x11-libs/cairo
and then try
Code:
# emerge -vaDuN gnome xscreensaver


Added: If that doesn't work you'll need to post your use flags --
Back to top
View user's profile Send private message
crazyboy3104
n00b
n00b


Joined: 23 Sep 2006
Posts: 31

PostPosted: Sat Sep 23, 2006 11:32 pm    Post subject: Reply with quote

so far so good. one question though

what are all those options u passed such as -va -1 or -vaDuN

what do they mean im really just curious
Back to top
View user's profile Send private message
rsa4046
l33t
l33t


Joined: 07 Feb 2005
Posts: 640
Location: The Big H, a bit SSW

PostPosted: Sun Sep 24, 2006 2:46 am    Post subject: Reply with quote

Quote:
what are all those options u passed such as -va -1 or -vaDuN

-v = verbose
-a = ask
-1 = one-shot
-D = deep
-u = update
-N = new use flag

Check out 'man emerge'. Good luck, and add 'SOLVED' to the original subject line if your problem is solved ...
Back to top
View user's profile Send private message
crazyboy3104
n00b
n00b


Joined: 23 Sep 2006
Posts: 31

PostPosted: Sun Sep 24, 2006 11:41 am    Post subject: Reply with quote

new error this time on gnome-base/librsvg-2.14.4

Code:

!!! Error gnome-base/librsvg-2.14.4 failed
Call stack:
   ebuild.sh, line 1562 Called dyn_setup
   ebuild.sh, line 665  Called pkg_setup
   librsvg-2.14.4.ebuild,  line 47:   Called die

!! cairo need the png flag set
Back to top
View user's profile Send private message
Redhot
Apprentice
Apprentice


Joined: 16 Jul 2006
Posts: 196

PostPosted: Sun Sep 24, 2006 12:28 pm    Post subject: Reply with quote

crazyboy3104 wrote:
new error this time on gnome-base/librsvg-2.14.4

Code:

!!! Error gnome-base/librsvg-2.14.4 failed
Call stack:
   ebuild.sh, line 1562 Called dyn_setup
   ebuild.sh, line 665  Called pkg_setup
   librsvg-2.14.4.ebuild,  line 47:   Called die

!! cairo need the png flag set


Same... Add "png" USE flag ;)
Back to top
View user's profile Send private message
rsa4046
l33t
l33t


Joined: 07 Feb 2005
Posts: 640
Location: The Big H, a bit SSW

PostPosted: Sun Sep 24, 2006 4:43 pm    Post subject: Reply with quote

Redhot wrote:
crazyboy3104 wrote:
new error this time on gnome-base/librsvg-2.14.4

Code:

!!! Error gnome-base/librsvg-2.14.4 failed
Call stack:
   ebuild.sh, line 1562 Called dyn_setup
   ebuild.sh, line 665  Called pkg_setup
   librsvg-2.14.4.ebuild,  line 47:   Called die

!! cairo need the png flag set


Same... Add "png" USE flag ;)

And don't forget to re-emerge cairo with this new use flag before continuing.
Back to top
View user's profile Send private message
nixnut
Administrator
Administrator


Joined: 09 Apr 2004
Posts: 10973
Location: the dutch mountains

PostPosted: Sun Sep 24, 2006 4:49 pm    Post subject: Reply with quote

Moved from Installing Gentoo to Desktop Environments.
Desktop stuff, so moved here.
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
Borok34
n00b
n00b


Joined: 06 Oct 2006
Posts: 6

PostPosted: Fri Oct 06, 2006 9:16 pm    Post subject: Reply with quote

Hey guys,

getting a similar error while compiling librsvg


Code:

make[2]: Leaving directory `/var/tmp/portage/librsvg-2.14.4/work/librsvg-2.14.4'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/librsvg-2.14.4/work/librsvg-2.14.4'
make: *** [all] Error 2

!!! ERROR: gnome-base/librsvg-2.14.4 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  ebuild.sh, line 1255:   Called gnome2_src_compile
  gnome2.eclass, line 64:   Called die

!!! compile failure
!!! If you need support, post the topmost build error, and the call stack if relevant.



any ideas how to fix this?

cheers
Back to top
View user's profile Send private message
yositunel
n00b
n00b


Joined: 22 Oct 2006
Posts: 6

PostPosted: Sun Oct 22, 2006 10:14 pm    Post subject: Reply with quote

The following seemed to work form me:

USE="X png" emerge -deep --newuse cairo
emerge gnome xscreensaver
Back to top
View user's profile Send private message
crazyboy3104
n00b
n00b


Joined: 23 Sep 2006
Posts: 31

PostPosted: Thu Nov 02, 2006 2:38 am    Post subject: Reply with quote

what i ended up doing is starting from scracth againg.

i tried everything i could think of

looked everywhere and decieded no one could help

no offense to everyone so i just started over
Back to top
View user's profile Send private message
Nick C
Guru
Guru


Joined: 18 Mar 2005
Posts: 526
Location: Portsmouth, England

PostPosted: Thu Nov 02, 2006 3:59 am    Post subject: Reply with quote

yositunel wrote:
The following seemed to work form me:

USE="X png" emerge -deep --newuse cairo
emerge gnome xscreensaver


no no no no no! Using this method is one surefire way to screw up your system in the longrun as these USE flag changes wont get saved anywhere, so should you ever need to rebuild the package, *bang* the USE flags arent applied.

Unless you absolutely know what your doing and know you *need* to use that way of adding USE flags you should be using one of two methods:
1) Adding them globally in /etc/make.conf (id recommend that in this case as they are quite common/useful/needed USE flags)
2) Where you want per-package USE flags use /etc/portage/package.use

Using either of these two methods ensures that if you ever need to update or rebuild the package the correct USE flags get applied and you dont spend hours wondering how you just broke your system :)
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved.
www.monkeydust.net
Back to top
View user's profile Send private message
Keruskerfuerst
Veteran
Veteran


Joined: 01 Feb 2006
Posts: 1749

PostPosted: Thu Nov 02, 2006 8:15 am    Post subject: Reply with quote

I think, you should check /etc/make.defaults.

This file should link to /etc/portage/profiles/default-linux/..../2006.1/desktop.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 7820

PostPosted: Mon May 21, 2007 7:51 am    Post subject: Reply with quote

Moved from Desktop Environments to Duplicate Threads, refer to topic "Please re-emerge [solved]".

As noted in the handbook USE flags specified via environment variables are not retained as persistent settings so, aside from when a given USE flag setting is itself transient in nature, use one of the persistent USE flag setting methods (/etc/make.conf, /etc/portage/package.use). Also, note that USE flags are case sensitive.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum